Bug 79014 - Ethernet Adpater not supported in New release
Ethernet Adpater not supported in New release
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 81720
  Show dependency treegraph
 
Reported: 2002-12-04 11:19 EST by Brian Kaye
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 04:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Kaye 2002-12-04 11:19:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3)

Description of problem:
Upgrde from RH 7.3 to RH 8.0 seems to have dropped support

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot system
2.Run redhat-config-network
3.
	

Actual Results:  Network Configuration does not recognize  the presence of 3COM PCI Ethernet adapter. The adapter does not appear to be in the list of supported adapters.

Additional info:

The adapter works find under WindowsXP. The syetem is an IBM Thinkpad A21P

The system does know the device is there on the PCI bus but will not configure it with redhat-config-network

Here is some of the output from the lspci command:

00:03.0 Ethernet controller: 3Com Corporation 3c556B Hurricane CardBus (rev 20)
        Subsystem: 3Com Corporation: Unknown device 6356
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- S
ERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbo
rt- >SERR- <PERR-
        Latency: 80 (2500ns min, 2500ns max), cache line size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at 1800 [size=256]
        Region 1: Memory at f0101400 (32-bit, non-prefetchable) [size=128]
        Region 2: Memory at f0101000 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: <available only to root>

00:03.1 Communication controller: 3Com Corporation Mini PCI 56k Winmodem (rev 20)
        Subsystem: 3Com Corporation: Unknown device 6159
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- S
ERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbo
rt- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at 2000 [size=256]
        Region 1: Memory at f0101c00 (32-bit, non-prefetchable) [size=256]
        Region 2: Memory at f0101800 (32-bit, non-prefetchable) [size=128]
        Capabilities: <available only to root>
Comment 1 Harald Hoyer 2002-12-04 11:25:59 EST
dunno, if supported by the kernel... reassigning
Comment 2 Brian Kaye 2002-12-04 11:35:55 EST
The adapter did work in RH 7.3
Comment 3 Harald Hoyer 2002-12-04 11:46:23 EST
and it was displayed in redhat-config-network of 7.3?
is this a pcmcia card?
Comment 4 Brian Kaye 2002-12-04 12:20:22 EST
All I can tell you is that it worked. I have wireless and 100M ethernet at  
work and 10M ADSL at home and I did take and use my laptop at home.  
  
The card is a Ethernet modem combo card. The lspci coommand does find it and  
identify it correctly. But when I try to use neat to configure it, it does not 
appear in the list of supported network adapters. 
 
 
Ethernet controller: 3Com Corporation 3c556B Hurricane CardBus (rev 20) 
        Subsystem: 3Com Corporation: Unknown device 6356 
 
Comment 5 Brian Kaye 2002-12-20 16:02:45 EST
The part number on the modem is 3CN3AC1556B. Could it be related to what I 
repported in bug 78995. 
 
 
....Brian  
Comment 6 Harald Hoyer 2003-04-17 07:14:02 EDT
could you please provide the output of:
# /usr/sbin/kudzu -p -c NETWORK
Comment 7 Martin Furman 2004-05-24 15:44:43 EDT
hello ...

i am having the same problem....
the internal NIC worked fine with fc1 using any of the 2.4.xx 
kernels...but one i updated to fc2 with 2.6.x it was not 
recongnized...

lspci did however recognize the card but did not install it 
properly ...

thank you
Comment 8 Harald Hoyer 2004-05-25 05:26:53 EDT
could you please provide the output of:
# /usr/sbin/kudzu -p -c NETWORK

Comment 9 Martin Furman 2004-05-27 21:05:02 EDT
here is the output :


ot@localhost root]# kudzu -p -c NETWORK
-
class: NETWORK
bus: PCI
detached: 1
device: eth1
driver: unknown
desc: "Atheros Communications, Inc.|AR5212 802.11abg NIC"
vendorId: 168c
deviceId: 0013
subVendorId: 1186
subDeviceId: 3202
pciType: 2
pcidom:    0
pcibus:  2
pcidev:  0
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: 3c59x
desc: "3Com Corporation|3c556B CardBus [Tornado]"
network.hwaddr: FF:FF:FF:FF:FF:FF
vendorId: 10b7
deviceId: 6056
subVendorId: 10b7
subDeviceId: 6356
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  3
pcifn:  0
[root@localhos


thank you
Comment 10 Martin Furman 2004-05-27 21:11:52 EDT
hello ...

also if i can add it to this report notice that eth1 is a wirless 
802.11g card.

it is a d-link dwl-650
do you guys know of any drivers that i can us for it ...

thank you,
  martin
Comment 11 Harald Hoyer 2004-05-28 04:12:55 EDT
martin: can you do as root
# echo 'alias eth0 3c59x' >> /etc/modprobe.conf
# /sbin/ifconfig eth0
and retry system-config-network??

and no, I don't know any driver (google might help)
Comment 12 Martin Furman 2004-05-28 16:10:25 EDT
hello ...

i did add it to the modprob.conf and when i look at the output of 
ifconfig i still see that the MAC is ff:ff:ff:ff:ff:ff

lspci sees the card properly ....

thank you,
  martin

Note You need to log in before you can comment on or make changes to this bug.